summaryrefslogtreecommitdiffstats
path: root/libraries/libgcrypt15
diff options
context:
space:
mode:
author Ryan P.C. McQuen2016-01-19 01:41:50 +0100
committer Willy Sudiarto Raharjo2016-01-19 20:22:19 +0100
commit0452f62e4bbb54aa149e32258e3a3ea451035613 (patch)
treed96985ce958da8ea3fd722b51592fd8d838ed367 /libraries/libgcrypt15
parent784b369eafe17eea984468cda4dbed61c670dd3f (diff)
downloadslackbuilds-0452f62e4bbb54aa149e32258e3a3ea451035613.tar.gz
libraries/libgcrypt15: Added (legacy version of libgcrypt).
Signed-off-by: Ryan P.C. McQuen <ryan.q@linux.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libgcrypt15')
-rw-r--r--libraries/libgcrypt15/README3
-rw-r--r--libraries/libgcrypt15/libgcrypt15.SlackBuild119
-rw-r--r--libraries/libgcrypt15/libgcrypt15.info10
-rw-r--r--libraries/libgcrypt15/slack-desc19
4 files changed, 151 insertions, 0 deletions
diff --git a/libraries/libgcrypt15/README b/libraries/libgcrypt15/README
new file mode 100644
index 0000000000..7e46b2d603
--- /dev/null
+++ b/libraries/libgcrypt15/README
@@ -0,0 +1,3 @@
+libgcrypt15 is a legacy build with just the lib,
+needed for some applications. It is installable
+alongside Slackware's own libgcrypt.
diff --git a/libraries/libgcrypt15/libgcrypt15.SlackBuild b/libraries/libgcrypt15/libgcrypt15.SlackBuild
new file mode 100644
index 0000000000..b45fc39393
--- /dev/null
+++ b/libraries/libgcrypt15/libgcrypt15.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/sh
+
+# Slackware build script for libgcrypt 1.5 (legacy)
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# Copyright 2006-2009 Robby Workman, Northport, AL, USA
+# Copyright 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libgcrypt15
+SRCNAM=libgcrypt
+VERSION=${VERSION:-1.5.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/libgcrypt-$VERSION \
+ --enable-shared=yes \
+ --enable-static=no \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Move the shared library to $PKG/lib${LIBDIRSUFFIX}:
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ for file in lib*.so.??.* ; do
+ mv $file ../../lib${LIBDIRSUFFIX}
+ ln -sf ../../lib${LIBDIRSUFFIX}/$file .
+ done
+ cp -a lib*.so.?? ../../lib${LIBDIRSUFFIX}
+)
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+## clean up since we only need the libs
+rm -v $PKG/usr/lib${LIBDIRSUFFIX}/${SRCNAM}.so
+rm -rfv $PKG/usr/{include,doc,bin,share,info}
+rm -v $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libgcrypt15/libgcrypt15.info b/libraries/libgcrypt15/libgcrypt15.info
new file mode 100644
index 0000000000..776d829264
--- /dev/null
+++ b/libraries/libgcrypt15/libgcrypt15.info
@@ -0,0 +1,10 @@
+PRGNAM="libgcrypt15"
+VERSION="1.5.4"
+HOMEPAGE="https://www.gnu.org/software/libgcrypt/"
+DOWNLOAD="ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.5.4.tar.bz2"
+MD5SUM="ac4eb5091806d86a8575d0b8dcd2b9db"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/libraries/libgcrypt15/slack-desc b/libraries/libgcrypt15/slack-desc
new file mode 100644
index 0000000000..c1c7ec18d8
--- /dev/null
+++ b/libraries/libgcrypt15/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libgcrypt15: libgcrypt15 (General purpose crypto library)
+libgcrypt15:
+libgcrypt15: libgcrypt15 is a general purpose crypto library based on the code
+libgcrypt15: used in GnuPG. This is the 1.5.x branch needed for some apps.
+libgcrypt15:
+libgcrypt15:
+libgcrypt15:
+libgcrypt15:
+libgcrypt15:
+libgcrypt15:
+libgcrypt15: